
******************************************************************************************************************************
******************************************************************************************************************************
** Panel. OLS and IV[Reduced-Form, First-Stage] and 2SLS Specifications. Unemployment and Voting
** Baseline and Robustness [Main Paper Tables]
** Tables 2, , 5-A, 6 and 8; 
************************************************************************************************************************************
************************************************************************************************************************************


** Table 2. OLS Panel Estimates (NUTS fixed-effects) and Time Fixed-Effects
*******************************************************************************************************************
*******************************************************************************************************************

** Panel A. Region (NUTS) and Year fixed-effects 
*************************************************************************************
set more off
xi: xtreg extreme_per 		totunemp i.year if nv==0, fe cluster (cntry) 
est store v1rr

xi: reg extreme_per 		totunemp i.year i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perel 	totunemp i.year if nv==0, fe cluster (cntry) 
est store v2rr
xi: reg extreme_perel 		totunemp i.year i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perer 	totunemp i.year if nv==0, fe cluster (cntry) 
est store v3rr
xi: reg extreme_perer 		totunemp i.year i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perp 		totunemp i.year if nv==0, fe cluster (cntry) 
est store v4rr
xi: reg extreme_perp 		totunemp i.year i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perae 	totunemp i.year if nv==0, fe cluster (cntry) 
est store v5rr
xi: reg extreme_perae 		totunemp i.year i.nuts1 if nv==0,   beta 


xi: xtreg part 				totunemp i.year if nv==0, fe cluster (cntry) 
est store v6rr
xi: reg part 		totunemp i.year i.nuts1 if nv==0,   beta 

** Panel B. Region and Period (4-year)  fixed-effects
*************************************************************************************
xi: xtreg extreme_per 		totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v1
xi: reg extreme_per 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perel 	totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v2
xi: reg extreme_perel 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perer 	totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v3
xi: reg extreme_perer 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perp 		totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v4
xi: reg extreme_perp 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perae 	totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v5
xi: reg extreme_perae 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

xi: xtreg part 				totunemp i.eperiod if nv==0, fe cluster (cntry) 
est store v6
xi: reg part 		totunemp i.eperiod i.nuts1 if nv==0,   beta 

** Panel C. Country-Group Period (4-year) time fixed-effects
*************************************************************************************
xi: xtreg extreme_per 		totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v1r
xi: reg extreme_per 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perel 	totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v2r
xi: reg extreme_perel 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perer 	totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v3r
xi: reg extreme_perer 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perp 		totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v4r
xi: reg extreme_perp 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

xi: xtreg extreme_perae 	totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v5r
xi: reg extreme_perae 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

xi: xtreg part 				totunemp i.eperiod_group if nv==0, fe cluster (cntry) 
est store v6r
xi: reg part 		totunemp i.eperiod_group i.nuts1 if nv==0,   beta 

** Table 2. Baseline Panel OLS Specifications. Unemployment and Voting for Antiestablishment Parties
********************************************************************************************
********************************************************************************************
** column (1). Antiestablishment Parties. All Types
** column (2). Voting for Radical Left Parties
** column (3). Voting for Far Right Parties
** column (4). Voting for Populist Parties
** column (5). Voting for Eurosceptic / Separatist parties
** column (6). Participation Rate
***************************************************************************************
** Panel A. Region (NUTS Fixed-Effects) and Year  Fixed-Effects
***********************************************************************************************
estout v1rr v2rr v3rr v4rr v5rr v6rr, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)

** Panel B. Region (NUTS Fixed-Effects) and Electoral Cycle (4-year) Time  Fixed-Effects
***********************************************************************************************
estout v1 v2 v3 v4 v5 v6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel C. Region (NUTS Fixed-Effects) and ESS-Round Country Group Fixed-Effects
*********************************************************************************
estout v1r v2r v3r v4r v5r v6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp) stats(r2_a r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	


** Table 5. Panel A. Construction Share in Regional Value Added and Unemployment Dynamics
******************************************************************************************************************
******************************************************************************************************************
xi: xtreg totunemp 				sh_const  i.year if nv1==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=. , fe cluster (cntry) 
est store fs1a

xi: xtreg totunemp 				sh_const sh_agri sh_trade sh_govt sh_finan  i.year if nv1==0 & totunemp!=., fe cluster (cntry) 
est store fs2a

xi: xtreg totunemp 				sh_const   i.group_year if nv1==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store fs3a

xi: xtreg totunemp 				sh_const sh_agri sh_trade sh_govt sh_finan  i.group_year if nv1==0 & totunemp!=., fe cluster (cntry) 
est store fs4a
xi: reg totunemp 		sh_const sh_agri sh_trade sh_govt sh_finan  i.group_year i.nuts1 if nv1==0,   beta 



** Table 5. Panel A. Construction Share in Regional Value Added and Unemployment Dynamics
** Dependent Variable. Regional Unemployment
*********************************************************************************************************************
*********************************************************************************************************************
** column (1). region and year fixed-effects
** column (2). region and year fixed-effects and other-than-construction industrial shares as controls
** column (3). region and group-year fixed-effects
** column (4). region and group-year fixed-effects and other-than-construction industrial shares as controls
*********************************************************************************************************************
estout fs1a fs2a fs3a fs4a, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(sh_const)  stats(r2_a r2_w  N N_clust, fmt(%9.3f %9.0g) labels(r-square within_r-square  Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	




	  	   
	   

** Table 6. Reduced-Form Panel Fixed-Effects Estimates. Construction Share and Voting
************************************************************************************************************************************
*************************************************************************************************************************************

** Panel A. Region (NUTS) and General Year Fixed-Effects
*********************************************************************************************
********************************************************************************************* 
xi: xtreg extreme_per 		sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv1rr

xi: xtreg extreme_perel 	sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv2rr

xi: xtreg extreme_perer 	sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv3rr

xi: xtreg extreme_perp 		sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv4rr

xi: xtreg extreme_perae 	sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv5rr

xi: xtreg part 				sh_const     i.year if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv6rr

** Panel B. Region (NUTS) and Period (4-year) time fixed-effects
*************************************************************************************
*************************************************************************************
xi: xtreg extreme_per 		sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv1

xi: xtreg extreme_perel 	sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv2

xi: xtreg extreme_perer 	sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv3

xi: xtreg extreme_perp 		sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv4

xi: xtreg extreme_perae 	sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv5

xi: xtreg part 				sh_const     i.eperiod if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv6


** Panel C. Region (NUTS) and Country-Group Period (4-year) time fixed-effects
*************************************************************************************
*************************************************************************************
xi: xtreg extreme_per 		sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv1r

xi: xtreg extreme_perel 	sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv2r

xi: xtreg extreme_perer 	sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv3r

xi: xtreg extreme_perp 		sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv4r

xi: xtreg extreme_perae 	sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv5r

xi: xtreg part 				sh_const     i.eperiod_group if nv==0 & totunemp!=., fe cluster (cntry) 
est store fv6r


** Table 6. Reduced-Form Specifications. Industrial Shares and Voting for Antiestablishment Parties
*************************************************************************************************************************************
*************************************************************************************************************************************
** column (1). Antiestablishment Parties. All Types
** column (2). Voting for Radical Left Parties
** column (3). Voting for Far Right Parties
** column (4). Voting for Populist Parties
** column (5). Voting for Eurosceptic / Separatist parties
** column (6). Participation Rate

** Panel A. Region (NUTS Fixed-Effects) and Year  Fixed-Effects
***********************************************************************************************
estout fv1rr fv2rr fv3rr fv4rr fv5rr fv6rr, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(sh_const    )  stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)

** Panel B. Region (NUTS Fixed-Effects) and Electoral Cycle (4-year) Time  Fixed-Effects
***********************************************************************************************
estout fv1 fv2 fv3 fv4 fv5 fv6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(sh_const    )  stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel C. Region (NUTS Fixed-Effects) and ESS-Round Country Group Fixed-Effects
*********************************************************************************
estout fv1r fv2r fv3r fv4r fv5r fv6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(sh_const    ) stats(r2_a r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square  r_within Obs Countries))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	




	   
	   
** Table 8.
*******************************************************************************************************************
*******************************************************************************************************************

** Panel A. Region (NUTS) and Period (4-year) Fixed Effects
*******************************************************************************************************************
xi: xtivreg2 extreme_per 		(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv1

xi: xtivreg2 extreme_perel 		(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv2

xi: xtivreg2 extreme_perer 		(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv3

xi: xtivreg2 extreme_perp 		(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv4

xi: xtivreg2 extreme_perae 		(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv5

xi: xtivreg2 part 				(totunemp = sh_const)   i.eperiod if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store sslv6


** Panel B. Region (NUTS) and Period (4-year) Fixed Effects Controlling for Industrial Composition
*******************************************************************************************************************
xi: xtivreg2 extreme_per 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv1

xi: xtivreg2 extreme_perel 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv2

xi: xtivreg2 extreme_perer 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv3

xi: xtivreg2 extreme_perp 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv4

xi: xtivreg2 extreme_perae 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv5

xi: xtivreg2 part 				(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod if nv==0, fe cluster (cntry) 
est store slv6

** Panel C. Region (NUTS) and Country-Group Period (4-year) Time Effects
******************************************************************************************************************
xi: xtivreg2 extreme_per 		(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv1r

xi: xtivreg2 extreme_perel 		(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv2r

xi: xtivreg2 extreme_perer 		(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv3r

xi: xtivreg2 extreme_perp 		(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv4r

xi: xtivreg2 extreme_perae 		(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv5r

xi: xtivreg2 part 				(totunemp = sh_const)   i.eperiod_group if nv==0 & sh_agri!=. & sh_trade!=. & sh_govt!=. &sh_finan!=., fe cluster (cntry) 
est store slv6r


** Panel D. Region (NUTS) and Country-Group Period (4-year) Time Effects Controlling for Industrial Composition
******************************************************************************************************************
xi: xtivreg2 extreme_per 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv1rr

xi: xtivreg2 extreme_perel 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv2rr

xi: xtivreg2 extreme_perer 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv3rr

xi: xtivreg2 extreme_perp 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv4rr

xi: xtivreg2 extreme_perae 		(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv5rr

xi: xtivreg2 part 				(totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.eperiod_group if nv==0, fe cluster (cntry) 
est store slv6rr

** Table 8. Panel 2SLS Specifications. Construction, Unemployment and Voting for Antiestablishment Parties
**************************************************************************************************************
**************************************************************************************************************
** column (1). Antiestablishment Parties. All Types
** column (2). Voting for Radical Left Parties
** column (3). Voting for Far Right Parties
** column (4). Voting for Populist Parties
** column (5). Voting for Eurosceptic / Separatist parties
** column (6). Participation Rate
**************************************************************************************************************
**************************************************************************************************************

** Panel A. 2SLS Region (NUTS Fixed-Effects) and General Period (4-year) Fixed Effects
*******************************************************************************************
estout sslv1 sslv2 sslv3 sslv4 sslv5 sslv6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel B. 2SLS Region (NUTS Fixed-Effects) and General Period (4-year)  Fixed-Effects
********************************************************************************************
estout slv1 slv2 slv3 slv4 slv5 slv6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel C. 2SLS Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*******************************************************************************************
estout slv1r slv2r slv3r slv4r slv5r slv6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel D. 2SLS Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*******************************************************************************************
estout slv1rr slv2rr slv3rr slv4rr slv5rr slv6rr, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp)  stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
	   
	   
	   
	   
	   