
******************************************************************************************************************************
******************************************************************************************************************************
** Further Tests
** Panel Specifications. OLS and IV [Reduced-Form, First-Stage] and 2SLS Specifications. Construction, Unemployment and Voting
** Robustness [Appendix Tables]
** Appendix Tables 8-10
******************************************************************************************************************************
******************************************************************************************************************************



gen migration_dum=1 if net_migr_fl >0 & net_migr_fl !=.
replace migration_dum=0 if net_migr_fl <0 & net_migr_fl !=.


gen abs_net_migration=abs(net_migr_fl)
gen ln_net_migration=ln(abs_net_migr)
replace ln_net_migration=-1* ln_net_migration if net_migr_fl<0 & net_migr_fl!=.


	   
** Appendix Table 8. Construction and Self-Reported Corruption and Views on Corruption Cross-Sectional Estimates in 2003/2004					
******************************************************************************************************************************
******************************************************************************************************************************

xi: reg pboafvr_new 	sh_const     if nv==0 ,  cluster (cntry)
est store co1

xi: reg pbofvrw_new 	sh_const     if nv==0 ,  cluster (cntry)
est store co2	   

xi: reg pbofvr_new		sh_const     if nv==0,  cluster (cntry)
est store co3	   
	   
xi: reg pboafvr_new 	sh_const    i.cntry  if nv==0 ,  cluster (cntry)
est store co4

xi: reg pbofvrw_new 	sh_const    i.cntry  if nv==0,  cluster (cntry)
est store co5	   

xi: reg pbofvr_new		sh_const    i.cntry if nv==0 ,  cluster (cntry)
est store co6	   


** Appendix Table 8. Construction and Self-Reported Corruption and Views on Corruption Cross-Sectional Estimates in 2003/2004					
******************************************************************************************************************************
******************************************************************************************************************************
** column (1). Public Official Asked Favor/Bribe past 5 years
** column (2). Public Official Asking Favor/Bribe is Wrong
** column (3). Respondent Offered Favor/Bribe last 5 years
** column (4). Public Official Asked Favor/Bribe past 5 years, Country Fixed-Effects
** column (5). Public Official Asking Favor/Bribe is Wrong, Country Fixed-Effects
** column (6). Respondent Offered Favor/Bribe past 5 years, Country Fixed-Effects
******************************************************************************************************************************
******************************************************************************************************************************
estout co1 co2 co3 co4 co5 co6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a    N N_clust, fmt(%9.3f %9.0g) labels(r-square  Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   


	   
** Appendix Table 9. Further Identification Tests Construction, Unemployment and Voting for Anti-Establishment Parties
** Panel 2SLS Estimates with Country-Group Time Effects					
******************************************************************************************************************************
******************************************************************************************************************************
set more off	   
**Education.
** control for tertiary (secondary and tertiary being the omitted categories)

xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.(educlev_5to8   sh_agri sh_trade sh_govt sh_finan)  i.eperiod_group if nv==0, fe cluster (cntry)
est  store hh1r

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.(educlev_5to8   sh_agri sh_trade sh_govt sh_finan) i.eperiod_group if nv==0, fe cluster (cntry)
est store hh2r

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.(educlev_5to8    sh_agri sh_trade sh_govt sh_finan) i.eperiod_group if nv==0, fe cluster (cntry)
est store hh3r


** Immigration. Eurostat
xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.(migration_dum  sh_agri sh_trade sh_govt sh_finan)   i.eperiod_group if nv==0, fe cluster (cntry)
est  store hh4r

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.(migration_dum  sh_agri sh_trade sh_govt sh_finan)   i.eperiod_group if nv==0, fe cluster (cntry)
est store hh5r

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.(migration_dum  sh_agri sh_trade sh_govt sh_finan) i.eperiod_group if nv==0, fe cluster (cntry)
est  store hh6r


** Appendix Table 9. Further Identification Tests Construction, Unemployment and Voting for Anti-Establishment Parties
** Panel 2SLS Estimates with Country-Group Time Effects					
******************************************************************************************************************************
******************************************************************************************************************************
** column (1). Antiestablishment Parties. All Types - Lag College Attainment
** column (2). Voting for Populist Parties - Lag College Attainment
** column (3). Voting for Eurosceptic / Separatist parties - Lag College Attainment
** column (4). Antiestablishment Parties. All Types - Lag Net Migration Indicator
** column (5). Voting for Populist Parties - Lag Net Migration Indicator
** column (6). Voting for Eurosceptic / Separatist parties - Lag Net Migration Indicator
******************************************************************************************************************************
******************************************************************************************************************************
estout hh1r hh2r hh3r hh4r hh5r hh6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	      
	   
	   
	   
	   
	   


** Appendix Table 10. Further Identification Tests Construction, Unemployment and Voting for Anti-Establishment Parties
** Panel 2SLS Estimates with General Time Effects						
******************************************************************************************************************************
******************************************************************************************************************************
** Panel A
******************************************************************************************************************************
xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est  store ch1

xi: xtivreg2 extreme_perel 	(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch2

xi: xtivreg2 extreme_perer 	(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch3

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch4

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch5

xi: xtivreg2 part 			(L1.totunemp = L1.sh_const) L1.ctzcntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch6

** Panel B
******************************************************************************************************************************	   
xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est  store ch1r

xi: xtivreg2 extreme_perel 	(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch2r

xi: xtivreg2 extreme_perer 	(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch3r

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch4r

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch5r

xi: xtivreg2 part 			(L1.totunemp = L1.sh_const) L1.brncntr_new     i.eperiod if nv==0, fe cluster (cntry)
est store ch6r


** Appendix Table 10. Further Identification Tests Construction, Unemployment and Voting for Anti-Establishment Parties
** Panel 2SLS Estimates with General Time Effects						
******************************************************************************************************************************
******************************************************************************************************************************
** column (1). Antiestablishment Parties. All Types
** column (2). Voting for Radical Left Parties
** column (3). Voting for Far Right Parties
** column (4). Voting for Populist Parties
** column (5). Voting for Eurosceptic / Separatist parties
** column (6). Participation Rate
******************************************************************************************************************************
******************************************************************************************************************************

** Panel A. Panel A. Controlling for Share of ESS Respondents being Citizens 					
******************************************************************************************************************************
estout ch1 ch2 ch3 ch4 ch5 ch6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)		 
	   
** Panel B. Panel B. Controlling for Share of ESS Respondents Born in the Country					
******************************************************************************************************************************
estout ch1r ch2r ch3r ch4r ch5r ch6r  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   

	
