
******************************************************************************************************************************
******************************************************************************************************************************
** Panel. OLS and 2SLS Specifications. 
** Unemployment, General and Political Trust, and Political Beliefs. All ESS rounds and countries. 
** Unemployment and Beliefs/Attitudes on Immigration
** Baseline [Main Paper Tables]
** Tables 12, 14, 16 and 18
************************************************************************************************************************************
************************************************************************************************************************************


** Table 12. Unemployment, General and Political Trust, and Political Beliefs
*************************************************************************************************************
*************************************************************************************************************
** Panel A. Nuts fixed-effects and general time/ESS round fixed effects
*************************************************************************************************************
*************************************************************************************************************

xi: reghdfe ppltrst_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa1

 
xi: reghdfe pplfair_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa2


xi: reghdfe pplhlp_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa3


xi: reghdfe trstprl_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa4


xi: reghdfe trstplt_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa5


xi: reghdfe trstlgl_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa6


xi: reghdfe trstplc_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa7


xi: reghdfe trstep_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa8


xi: reghdfe trstun_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa9


xi: reghdfe stfdem_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1)  
est store aa10


xi: reghdfe  lrscale_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa11


xi: reghdfe clsprty_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa12


xi: reghdfe euftf_new totunemp if nv==0, absorb(essround nuts1) vce (cluster  cntry1) 
est store aa13


** Panel B. nuts fixed-effects and country-group time/ESS round fixed effects
*******************************************************************************************************************
xi: reghdfe ppltrst_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa31 


xi: reghdfe pplfair_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa32


xi: reghdfe pplhlp_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa33


xi: reghdfe trstprl_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa34


xi: reghdfe trstplt_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa35


xi: reghdfe trstlgl_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa36


xi: reghdfe trstplc_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa37


xi: reghdfe trstep_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa38


xi: reghdfe trstun_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa39


xi: reghdfe stfdem_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa310


xi: reghdfe  lrscale_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa311


xi: reghdfe clsprty_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa312


xi: reghdfe euftf_new totunemp if nv==0, absorb(group_essround nuts1) vce (cluster  cntry1) 
est store aa313


** Table 12. Unemployment, General and Political Trust, and Political Beliefs. Panel Fixed-Effects Estimates. 2000-2014
*************************************************************************************************************************
*************************************************************************************************************************
** column (1). General Trust
** column (2). People Fair
** column (3). People helpful
** column (4). Trust National Parliament
** column (5). Trust Politicians
** column (6). Trust  Legal System
** column (7). Trust in Police
** column (8). Trust in European Parliament  
** column (9).  Trust in the United Nations
** column (10). Satisfaction with Democracy
** column (11). Political Self-Orientation. Left-Right
** column (12). Close to a Party
** column (13). EU has gone too far
*************************************************************************************************************************

** Panel A. Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************************
estout aa1 aa2 aa3 aa4 aa5 aa6 aa7 aa8 aa9 aa10, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a r2_within N N_clust, fmt(%9.3f %9.0g) labels(r-square within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
estout aa11 aa12 aa13, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  r2_within N N_clust, fmt(%9.3f %9.0g) labels(r-square within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	   

** Panel B. Region (NUTS Fixed-Effects) and ESS-Round Country Group Fixed-Effects
*********************************************************************************
estout aa31 aa32 aa33 aa34 aa35 aa36 aa37 aa38 aa39 aa310, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a r2_within N N_clust, fmt(%9.3f %9.0g) labels(r-square within Obs Countries))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
	   
estout aa311 aa312 aa313, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a r2_within N N_clust, fmt(%9.3f %9.0g) labels(r-square within Obs Countries))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
	
	   
	
** Table 14. Unemployment and Beliefs on Immigration
****************************************************************************************************************************
****************************************************************************************************************************	
	
** Panel A. Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************
xtreg imsmetn_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be1


xtreg imdfetn_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be2


xtreg impcntr_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be3


xtreg imbgeco_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be4


xtreg imueclt_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be5


xtreg imwbcnt_new totunemp i.essround if nv==0, fe cluster(cntry)
est store be6


** Panel B. Region (NUTS Fixed-Effects) and ESS-Round Country Group Fixed-Effects
**********************************************************************************
xtreg imsmetn_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be1r


xtreg imdfetn_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be2r


xtreg impcntr_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be3r


xtreg imbgeco_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be4r


xtreg imueclt_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be5r


xtreg imwbcnt_new totunemp i.group_essround if nv==0, fe cluster(cntry)
est store be6r



** Table 14. Unemployment and Beliefs on Immigration
****************************************************************************************************************************
****************************************************************************************************************************	
** column (1). Allow many/few immigrants of same race/ethnic group as majority: (0) allow none
** column (2). Allow many/few immigrants of different race/ethnic group from majority: (0) allo
** column (3). Allow many/few immigrants from poorer countries outside Europe: (0) allow none (
** column (4). Immigration bad or good for country's economy: 0 (bad for the economy) to 1 (goo
** column (5). Country's cultural life undermined or enriched by immigrants: 0 (cultural life u
** column (6). Immigrants make country worse or better place to live: 0 (worse place to live) t

** Panel A. Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************************
estout be1 be2 be3 be4 be5 be6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp) stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel B. Region (NUTS Fixed-Effects) and Country Group ESS-Round  Fixed-Effects
**********************************************************************************
estout be1r be2r be3r be4r be5r be6r  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep(totunemp) stats(r2_a  r2_w N N_clust, fmt(%9.3f %9.0g) labels(r-square r_within Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

	   
	   
	
	
	
** Table 16. Construction Share, Unemployment, General and Political Trust, and Political Beliefs
** Panel 2SLS. 2000-2014. NUTS (region Fixed-Effects) and ESS Round Fixed-Effects
** instrument. share of construction. 
***********************************************************************************************
***********************************************************************************************

** Panel A. Region and Year (ESS Round) Fixed-effects
********************************************************************************************************************************
xi: xtivreg2 ppltrst_new 	(totunemp = sh_const)      	i.essround  if nv==0, fe cluster(cntry)
est store iva1

xi: xtivreg2 pplfair_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva2

xi: xtivreg2 pplhlp_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva3

xi: xtivreg2 trstprl_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva4

xi: xtivreg2 trstplt_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva5

xi: xtivreg2 trstlgl_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva6

xi: xtivreg2 trstplc_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva7

xi: xtivreg2 trstep_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva8

xi: xtivreg2 trstun_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva9

xi: xtivreg2 stfdem_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva10

xi: xtivreg2  lrscale_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva11

xi: xtivreg2 clsprty_new 	(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva12

xi: xtivreg2 euftf_new 		(totunemp = sh_const)     	i.essround  if nv==0, fe cluster(cntry)
est store iva13


** Panel B. Region and Country-Group Year (ESS Round) Fixed-effects
********************************************************************************************************************************
xi: xtivreg2 ppltrst_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva31

xi: xtivreg2 pplfair_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva32

xi: xtivreg2 pplhlp_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva33

xi: xtivreg2 trstprl_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva34

xi: xtivreg2 trstplt_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva35

xi: xtivreg2 trstlgl_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva36

xi: xtivreg2 trstplc_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva37

xi: xtivreg2 trstep_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva38

xi: xtivreg2 trstun_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva39

xi: xtivreg2 stfdem_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva310

xi: xtivreg2  lrscale_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva311

xi: xtivreg2 clsprty_new 	(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva312

xi: xtivreg2 euftf_new 		(totunemp = sh_const)     i.group_essround  if nv==0, fe cluster(cntry)
est store iva313

** Table 16. Construction Share, Unemployment, General and Political Trust, and Political Beliefs
** Panel 2SLS. 2000-2014. NUTS (region Fixed-Effects) and ESS Round Fixed-Effects
** instrument. share of construction.
***********************************************************************************************
***********************************************************************************************

** Panel A. 2SLS Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************************
estout iva1 iva2 iva3 iva4 iva5 iva6 iva7 iva8 iva9 iva10, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

estout iva11 iva12 iva13, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
	   
** Panel B. Region (NUTS Fixed-Effects) and ESS-Round Country Group Fixed-Effects
*********************************************************************************
estout iva31 iva32 iva33 iva34 iva35 iva36 iva37 iva38 iva39 iva310, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
      keep (totunemp) stats(r2_a N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
	
estout iva311 iva312 iva313, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
      keep (totunemp) stats(r2_a N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
	

	
** Table 18. Construction Share, Unemployment, and Beliefs on Immigration
** Panel 2SLS. instrument. share of construction. 
***********************************************************************************************
***********************************************************************************************
** Panel A. NUTS and ESS round Fixed-Effects
********************************************* 
xi: xtivreg2 imsmetn_new (totunemp = sh_const)       i.essround  if nv==0, fe cluster(cntry)
est store pia1

xi: xtivreg2 imdfetn_new (totunemp = sh_const)      i.essround  if nv==0, fe cluster(cntry)
est store pia2

xi: xtivreg2 impcntr_new (totunemp = sh_const)      i.essround  if nv==0, fe cluster(cntry)
est store pia3

xi: xtivreg2 imbgeco_new (totunemp = sh_const)      i.essround  if nv==0, fe cluster(cntry)
est store pia4

xi: xtivreg2 imueclt_new  (totunemp = sh_const)      i.essround  if nv==0, fe cluster(cntry)
est store pia5

xi: xtivreg2 imwbcnt_new (totunemp = sh_const)      i.essround  if nv==0, fe cluster(cntry)
est store pia6

** Panel B. NUTS and Country-Group Specific Time (ESS Round) Fixed-Effects
**************************************************************************
xi: xtivreg2 imsmetn_new (totunemp = sh_const)       i.group_essround  if nv==0, fe cluster(cntry)
est store pia1r

xi: xtivreg2 imdfetn_new (totunemp = sh_const)      i.group_essround  if nv==0, fe cluster(cntry)
est store pia2r

xi: xtivreg2 impcntr_new (totunemp = sh_const)      i.group_essround  if nv==0, fe cluster(cntry)
est store pia3r

xi: xtivreg2 imbgeco_new (totunemp = sh_const)      i.group_essround  if nv==0, fe cluster(cntry)
est store pia4r

xi: xtivreg2 imueclt_new  (totunemp = sh_const)      i.group_essround  if nv==0, fe cluster(cntry)
est store pia5r

xi: xtivreg2 imwbcnt_new (totunemp = sh_const)      i.group_essround  if nv==0, fe cluster(cntry)
est store pia6r

 
** Table 18. Construction Share, Unemployment, and Beliefs on Immigration
** Panel 2SLS. instrument. share of construction.
***********************************************************************************************
***********************************************************************************************
** column (1). Allow many/few immigrants of same race/ethnic group as majority: (0) allow none
** column (2). Allow many/few immigrants of different race/ethnic group from majority: (0) allo
** column (3). Allow many/few immigrants from poorer countries outside Europe: (0) allow none (
** column (4). Immigration bad or good for country's economy: 0 (bad for the economy) to 1 (goo
** column (5). Country's cultural life undermined or enriched by immigrants: 0 (cultural life u
** column (6). Immigrants make country worse or better place to live: 0 (worse place to live) t

** Panel A. 2SLS Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************************
estout pia1 pia2 pia3 pia4 pia5 pia6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel B. 2SLS Region (NUTS Fixed-Effects) and ESS-Round  Fixed-Effects
*********************************************************************************
estout pia1r pia2r pia3r pia4r pia5r pia6r  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   	   	
