
***********************************************************************************************************************************
******************************************************************************************************************************
** Difference Specifications. OLS and IV[Reduced-Form, Fisrt-Stage] and 2SLS Specifications. Construction, Unemployment and Voting
** Baseline and Robustness [Main Paper Tables]
** Tables 3, 5-B, 7, 9 and 10
************************************************************************************************************************************
************************************************************************************************************************************

** Table 3. Unemployment and Voting for Antiestablishment Parties Before and After the Crisis
** OLS Difference Specifications.  
** Post-Crisis Average [2017-2009] - Pre-Crisis Average [2001-2008]
**********************************************************************************************************
**********************************************************************************************************

xi: reg S9.extreme_per_sm8 S9.totunemp_sm8    if nv==0 & year==2017, r cluster(cntry)
est store dil1
 
xi: reg S9.extreme_perel_sm8 S9.totunemp_sm8    if nv==0 & year==2017, r cluster(cntry)
est store dil2

xi: reg S9.extreme_perer_sm8 S9.totunemp_sm8     if nv==0 & year==2017, r cluster(cntry)
est store dil3

xi: reg S9.extreme_perp_sm8 S9.totunemp_sm8     if nv==0 & year==2017, r cluster(cntry)
est store dil4

xi: reg S9.extreme_perae_sm8 S9.totunemp_sm8     if nv==0 & year==2017, r cluster(cntry)
est store dil5

xi: reg S9.part_sm8 S9.totunemp_sm8     if nv==0 & year==2017, r cluster(cntry)
est store dil6
**

xi: reg S9.extreme_per_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil1r
 
xi: reg S9.extreme_perel_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil2r

xi: reg S9.extreme_perer_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil3r
 
xi: reg S9.extreme_perp_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil4r

xi: reg S9.extreme_perae_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil5r

xi: reg S9.part_sm8 S9.totunemp_sm8    i.group if nv==0 & year==2017, r cluster(cntry)
est store dil6r


** Table 3. Unemployment and Voting for Antiestablishment Parties Before and After the Crisis
** OLS Difference Specifications.  
** Post-Crisis Average [2017-2009] - Pre-Crisis Average [2001-2008]
**********************************************************************************************************
**********************************************************************************************************
**********************************************************************************************************
** column (1). Antiestablishment Parties. All Types
** column (2). Voting for Radical Left Parties
** column (3). Voting for Far Right Parties
** column (4). Voting for Populist Parties
** column (5). Voting for Eurosceptic / Separatist parties
** column (6). Participation Rate
**********************************************************************************************************
** Panel A. General Constant
estout dil1 dil2 dil3 dil4 dil5 dil6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep( S9.totunemp_sm8)  stats(r2_a   N N_clust, fmt(%9.3f %9.0g) labels(r-square   Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)
	   
** Panel B. Country-Group Constants
estout dil1r dil2r dil3r dil4r dil5r dil6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   /// 
       keep( S9.totunemp_sm8)  stats(r2_a   N N_clust, fmt(%9.3f %9.0g) labels(r-square   Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)

	   
** Table 5. Panel B. Post-Pre Crisis Difference in Unemployment [2017-2009]-[2008-2000] and Pre-Crisis Construction Share
**************************************************************************************************************************
**************************************************************************************************************************     

xi: reg S9.totunemp_sm8  L10.sh_const_sm3  	if nv1==0 & L10.sh_agri_sm3!=. & L10.sh_trade_sm3!=. & L10.sh_govt_sm3!=. &L10.sh_finan_sm3!=. & year==2017, r cluster(cntry)
est store b1

xi: reg S9.totunemp_sm8  L10.sh_const_sm3  L10.(sh_agri_sm3 sh_finan_sm3 sh_trade_sm3 sh_govt_sm3) 			if nv1==0 & year==2017, r cluster(cntry)
est store b2

xi: reg S9.totunemp_sm8  L10.sh_const_sm3  i.group 	if nv1==0 & L10.sh_agri_sm3!=. & L10.sh_trade_sm3!=. & L10.sh_govt_sm3!=. &L10.sh_finan_sm3!=. & year==2017, r cluster(cntry)
est store b3

xi: reg S9.totunemp_sm8  L10.sh_const_sm3  L10.(sh_agri_sm3 sh_finan_sm3 sh_trade_sm3 sh_govt_sm3) i.group if nv1==0 & year==2017, r cluster(cntry)
est store b4 
xi: reg S9.totunemp_sm8	L10.sh_const_sm3  L10.(sh_agri_sm3 sh_finan_sm3 sh_trade_sm3 sh_govt_sm3) i.group  if nv1==0 & year==2017,   beta 
	   
	   
** Table 5. Panel B. Post-Pre Crisis Difference in Unemployment [2017-2009]-[2008-2000] and Pre-Crisis Construction Share
**************************************************************************************************************************
**************************************************************************************************************************
** column 1. no controls
** column 2. country group constnats
** column 3. initial pre-crisis industrial composition
** column 4. country group constants and initial pre-crisis industrial composition
estout b1 b2 b3 b4, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep( L10.sh_const_sm3)  stats(r2_a   N N_clust, fmt(%9.3f %9.0g) labels(r-square   Obs Countries))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	   
	   

** Table 7. Reduced-Forms. Post-Pre Crisis Difference in Voting [2017-2009]-[2008-2000] and Pre-Crisis Construction Share
**************************************************************************************************************************
**************************************************************************************************************************
	   
** Panel A. Difference Specifications
xi: reg S9.extreme_per_sm8  	L10.sh_const_sm3  	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf1

xi: reg S9.extreme_perel_sm8  	L10.sh_const_sm3  	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf2

xi: reg S9.extreme_perer_sm8  	L10.sh_const_sm3  	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf3

xi: reg S9.extreme_perp_sm8  	L10.sh_const_sm3   	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf4

xi: reg S9.extreme_perae_sm8  	L10.sh_const_sm3   	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf5

xi: reg S9.part_sm8  			L10.sh_const_sm3  	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf6
	   
	   
** Panel B. Including Country-Group Constant Terms
xi: reg S9.extreme_per_sm8  L10.sh_const_sm3  i.group 	if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf1r

xi: reg S9.extreme_perel_sm8  L10.sh_const_sm3  i.group if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf2r

xi: reg S9.extreme_perer_sm8  L10.sh_const_sm3  i.group if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf3r

xi: reg S9.extreme_perp_sm8  L10.sh_const_sm3  i.group if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf4r

xi: reg S9.extreme_perae_sm8  L10.sh_const_sm3  i.group if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf5r

xi: reg S9.part_sm8  L10.sh_const_sm3  i.group if nv==0 & year==2017 & totunemp_sm8!=., r cluster(cntry)
est store rf6r



** Table 7. Reduced-Forms. Post-Pre Crisis Difference in Voting [2017-2009]-[2008-2000] and Pre-Crisis Construction Share
**************************************************************************************************************************
**************************************************************************************************************************
** Panel A. No Controls
estout rf1 rf2 rf3 rf4 rf5 rf6, cells(b(star fmt(%9.4f)) se(par)  t(fmt(%9.2f)))   ///
       keep(L10.sh_const_sm3 )  stats(r2_a   N_clust N , fmt(%9.3f %9.0g) labels(r-square  Countries Obs  ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)
 

** Panel B. Country-Group Constants
estout rf1r rf2r rf3r rf4r rf5r rf6r, cells(b(star fmt(%9.4f)) se(par)  t(fmt(%9.2f)))   ///
       keep(L10.sh_const_sm3 )  stats(r2_a   N_clust N , fmt(%9.3f %9.0g) labels(r-square  Countries Obs  ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)
 
	   

	
** Table 9. 2SLS Difference Specifications. 
** Post-Pre Crisis Difference in Voting [2017-2009]-[2008-2000], Difference in Unemployment and Pre-Crisis Construction Share
******************************************************************************************************************************
******************************************************************************************************************************
	   
 ** Panel A. No Controls
 xi: ivreg2 S9.extreme_per_sm8 	(S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
 est store k1  
	  
 xi: ivreg2 S9.extreme_perel_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
est store k2  
	   
 xi: ivreg2 S9.extreme_perer_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
est store k3  
	  
 xi: ivreg2 S9.extreme_perp_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
est store k4  

xi: ivreg2 S9.extreme_perae_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
est store k5  
	  
 xi: ivreg2 S9.part_sm8 		(S9.totunemp_sm8 = L10.sh_const_sm3)   if nv==0 & year==2017, r cluster(cntry)
 est store k6  
 
 
 
** Panel B. Country-Group Constants 
 xi: ivreg2 S9.extreme_per_sm8 	(S9.totunemp_sm8 = L10.sh_const_sm3)   i.group if nv==0 & year==2017, r cluster(cntry)
 est store k1r  
	  
 xi: ivreg2 S9.extreme_perel_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)  i.group if nv==0 & year==2017, r cluster(cntry)
est store k2r  
	   
 xi: ivreg2 S9.extreme_perer_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)  i.group if nv==0 & year==2017, r cluster(cntry)
est store k3r  
	  
 xi: ivreg2 S9.extreme_perp_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   i.group if nv==0 & year==2017, r cluster(cntry)
est store k4r  

xi: ivreg2 S9.extreme_perae_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3)   i.group if nv==0 & year==2017, r cluster(cntry)
est store k5r  
	  
 xi: ivreg2 S9.part_sm8 		(S9.totunemp_sm8 = L10.sh_const_sm3)   i.group if nv==0 & year==2017, r cluster(cntry)
 est store k6r  
 

** Table 9. 2SLS Difference Specifications. 
** Post-Pre Crisis Difference in Voting [2017-2009]-[2008-2000], Difference in Unemployment and Pre-Crisis Construction Share
******************************************************************************************************************************
******************************************************************************************************************************
** Panel A. General Constant
 estout k1 k2 k3 k4 k5 k6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (S9.totunemp_sm8) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel B. Country-Group Constants 
estout k1r k2r k3r k4r k5r k6r, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (S9.totunemp_sm8) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

	   

** Table 10 - Panel A Further Checks of Identifying Assumptions
*******************************************************************************
*******************************************************************************

	   
gen migration_dum=1 if net_migr_fl >0 & net_migr_fl !=.
replace migration_dum=0 if net_migr_fl <0 & net_migr_fl !=.


gen abs_net_migration=abs(net_migr_fl)
gen ln_net_migration=ln(abs_net_migr)
replace ln_net_migration=-1* ln_net_migration if net_migr_fl<0 & net_migr_fl!=.



**Education.
** control for tertiary (secondary and tertiary being the omitted categories)

xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.educlev_5to8     i.eperiod if nv==0, fe cluster (cntry)
est  store h1

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.educlev_5to8     i.eperiod if nv==0, fe cluster (cntry)
est store h2

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.educlev_5to8     i.eperiod if nv==0, fe cluster (cntry)
est store h3


** Immigration. Eurostat
xi: xtivreg2 extreme_per 	(L1.totunemp = L1.sh_const) L1.migration_dum     i.eperiod if nv==0, fe cluster (cntry)
est  store h4

xi: xtivreg2 extreme_perp 	(L1.totunemp = L1.sh_const) L1.migration_dum     i.eperiod if nv==0, fe cluster (cntry)
est store h5

xi: xtivreg2 extreme_perae 	(L1.totunemp = L1.sh_const) L1.migration_dum   i.eperiod if nv==0, fe cluster (cntry)
est  store h6




*********************************************************
** Panel A. 2SLS Region (NUTS Fixed-Effects) and General Period (4-year) Fixed Effects
*******************************************************************************************
estout h1 h2 h3 h4 h5 h6, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
	   
** Table 10 - Panel B.
**************************************************************************************************************************
**************************************************************************************************************************
tssmooth ma educlev_5to8_sm3= educlev_5to8, window(3 1)
gen sum4_net_migr_fl= net_migr_fl+L1.net_migr_fl+L2.net_migr_fl+L3.net_migr_fl
gen 		immigr_dum3=1 if sum4_net_migr_fl>0 & sum4_net_migr_fl!=.
replace 	immigr_dum3=0 if sum4_net_migr_fl<0 & sum4_net_migr_fl!=.


** Results
**********************************************************************************
**********************************************************************************

 xi: ivreg2 S9.extreme_per_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.educlev_5to8_sm3  if nv==0 & year==2017, r cluster(cntry)
est store ww1

 xi: ivreg2 S9.extreme_perp_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.educlev_5to8_sm3  if nv==0 & year==2017, r cluster(cntry)
est store ww2

 xi: ivreg2 S9.extreme_perae_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.educlev_5to8_sm3  if nv==0 & year==2017, r cluster(cntry)
est store ww3


 xi: ivreg2 S9.extreme_per_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.immigr_dum3  if nv==0 & year==2017, r cluster(cntry)
est store ww4

 xi: ivreg2 S9.extreme_perp_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.immigr_dum3  if nv==0 & year==2017, r cluster(cntry)
est store ww5

 xi: ivreg2 S9.extreme_perae_sm8 (S9.totunemp_sm8 = L10.sh_const_sm3) L10.immigr_dum3 if nv==0 & year==2017, r cluster(cntry)
est store ww6


*********************************************************
** Panel B. 2SLS Cross Sectional Regressions - Differences
*******************************************************************************************
estout ww1 ww2 ww3 ww4 ww5 ww6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       stats(r2_a  cdf rkf  N N_clust, fmt(%9.3f %9.0g) labels(r-square F1 F2 Obs Countries ))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
	   
  