
******************************************************************************************************************************
******************************************************************************************************************************
** Panel. 2SLS Specifications. 
** Unemployment, General and Political Trust, and Political Beliefs. All ESS rounds and countries. 
** Unemployment and Beliefs/Attitudes on Immigration
** Baseline and Robustness 
** Appendix Tables 12 and 13
******************************************************************************************************************************
******************************************************************************************************************************



** Appendix Table 12. Unemployment, General and Political Trust, and Political Beliefs
** Panel Fixed-Effects 2SLS Estimates. 2000-2014.													
***************************************************************************************************************************
***************************************************************************************************************************
** Panel A. General ESS Round (Time) Fixed-Effects											
***************************************************************************************************************************

set more off
xi: xtivreg2 ppltrst_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan  	i.essround  if nv==0, fe cluster(cntry)
est store ivaa1

xi: xtivreg2 pplfair_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa2

xi: xtivreg2 pplhlp_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa3

xi: xtivreg2 trstprl_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa4

xi: xtivreg2 trstplt_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa5

xi: xtivreg2 trstlgl_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa6

xi: xtivreg2 trstplc_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa7

xi: xtivreg2 stfdem_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa10

xi: xtivreg2 trstep_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa8

xi: xtivreg2 trstun_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa9

xi: xtivreg2  lrscale_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa11

xi: xtivreg2 clsprty_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa12

xi: xtivreg2 euftf_new 		(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan 	i.essround  if nv==0, fe cluster(cntry)
est store ivaa13


** Panel B. Country-Group ESS Round (Time) Fixed-Effects																		
***************************************************************************************************************************
xi: xtivreg2 ppltrst_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa31

xi: xtivreg2 pplfair_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa32

xi: xtivreg2 pplhlp_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa33

xi: xtivreg2 trstprl_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa34

xi: xtivreg2 trstplt_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa35

xi: xtivreg2 trstlgl_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa36

xi: xtivreg2 trstplc_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa37

xi: xtivreg2 stfdem_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa310

xi: xtivreg2 trstep_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa38

xi: xtivreg2 trstun_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa39

xi: xtivreg2  lrscale_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa311

xi: xtivreg2 clsprty_new 	(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa312

xi: xtivreg2 euftf_new 		(totunemp = sh_const)    sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ivaa313

** Appendix Table 12. Unemployment, General and Political Trust, and Political Beliefs
** Panel Fixed-Effects 2SLS Estimates. 2000-2014.		
***************************************************************************************************************************
***************************************************************************************************************************
** row (1). Trust other people
** row (2). Belief that people are fair
** row (3). Belief that people are helpful
** row (4). Trust in national parliaments
** row (5). Trust in politicians
** row (6). Trust in the legal system
** row (7). Trust in police
** row (8). Satisfaction with how democracy is working
** row (9). Trust in European Parliament
** row (10). Trust in the United Nations
** row (11). Placement on the leftright continuum
** row (12). Feeling close to a particular party
** row (13). Belief that European unification should go further
***************************************************************************************************************************
***************************************************************************************************************************
** Panel A. General ESS Round (Time) Fixed-Effects											
***************************************************************************************************************************
estout ivaa1 ivaa2 ivaa3 ivaa4 ivaa5 ivaa6 ivaa7 ivaa8 ivaa9 ivaa10, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

estout ivaa11 ivaa12 ivaa13, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	   
** Panel B. Country-Group ESS Round (Time) Fixed-Effects											
***************************************************************************************************************************
estout ivaa31 ivaa32 ivaa33 ivaa34 ivaa35 ivaa36 ivaa37 ivaa38 ivaa39 ivaa310, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
      keep (totunemp) stats(r2_a N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
	
estout ivaa311 ivaa312 ivaa313, cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
      keep (totunemp) stats(r2_a N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1 ** 0.05  *** 0.01) style(fixed)	
		
	

** Appendix Table 13. Unemployment and Beliefs on Immigration Panel Fixed-Effects 2SLS Estimates. 2000-2014.							
***************************************************************************************************************************
***************************************************************************************************************************

** Panel A. General ESS Round (Time) Fixed-Effects						
*************************************************************************************************************************** 
xi: xtivreg2 imsmetn_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.essround  if nv==0, fe cluster(cntry)
est store ia1

xi: xtivreg2 imdfetn_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.essround  if nv==0, fe cluster(cntry)
est store ia2

xi: xtivreg2 impcntr_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.essround  if nv==0, fe cluster(cntry)
est store ia3

xi: xtivreg2 imbgeco_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.essround  if nv==0, fe cluster(cntry)
est store ia4

xi: xtivreg2 imueclt_new  (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.essround  if nv==0, fe cluster(cntry)
est store ia5

xi: xtivreg2 imwbcnt_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.essround  if nv==0, fe cluster(cntry)
est store ia6

** Panel B. Country-Group ESS Round (Time) Fixed-Effects						
***************************************************************************************************************************
xi: xtivreg2 imsmetn_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan  i.group_essround  if nv==0, fe cluster(cntry)
est store ia1r

xi: xtivreg2 imdfetn_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ia2r

xi: xtivreg2 impcntr_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ia3r

xi: xtivreg2 imbgeco_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ia4r

xi: xtivreg2 imueclt_new  (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ia5r

xi: xtivreg2 imwbcnt_new (totunemp = sh_const) sh_agri sh_trade sh_govt sh_finan i.group_essround  if nv==0, fe cluster(cntry)
est store ia6r	
	

** Appendix Table 13. Unemployment and Beliefs on Immigration Panel Fixed-Effects 2SLS Estimates. 2000-2014.							
***************************************************************************************************************************
***************************************************************************************************************************
** row (1). We should allow immigrants of the same race
** row (2). We should allow immigrants of different races
** row (3). We should allow immigrants from poorer countries
** row (4). Belief that immigrants are good for the economy
** row (5). Belief that immigrants improve cultural life
** row (6). Belief that immigrants make the country a better place
***************************************************************************************************************************
***************************************************************************************************************************
** Panel A. General ESS Round (Time) Fixed-Effects						
***************************************************************************************************************************
estout ia1 ia2 ia3 ia4 ia5 ia6  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	

** Panel B. Country-Group ESS Round (Time) Fixed-Effects						
***************************************************************************************************************************
estout ia1r ia2r ia3r ia4r ia5r ia6r  , cells(b(star fmt(%9.4f)) se(par) t(fmt(%9.2f)))   ///
       keep (totunemp) stats(r2_a  N N_clust cdf rkf, fmt(%9.3f %9.0g) labels(r-square  Obs Countries F1 F2))  starlevels( * 0.1  ** 0.05  *** 0.01) style(fixed)	
	

